Last Comment Bug 725167 - java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4... at android.view.ViewGroup.updateViewLayout(ViewGroup.java)
: java.lang.IllegalArgumentException: Given view not a child of android.widget....
Status: VERIFIED FIXED
[native-crash]
: crash, reproducible, topcrash
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
: P1 critical (vote)
: Firefox 14
Assigned To: James Willcox (:snorp) (jwillcox@mozilla.com)
:
Mentors:
Depends on: 726385
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-07 16:57 PST by Kevin Brosnan [:kbrosnan]
Modified: 2012-06-02 09:14 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4054b560 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40542c60 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4053d980 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4055db60 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@405183b8 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40549548 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40564158 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4053b2e0 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4055ce90 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4055fdf0 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4053df30 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40523b68 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4056d820 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@405175e8 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@405426a8 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4053eb98 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4053ccf0 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4054dce0 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40543190 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40537d20 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4053d520 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4053d810 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40542ef8 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40538120 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@408e37c0 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40580850 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40546518 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40544ff8 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@405370b0 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4054cb68 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@405475b0 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40572be0 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40570348 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@463785e8 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40564018 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@405453e0 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@405452d0 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@405488b8 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@2b00ae48 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4054fa10 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4068ea70 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@405393d0 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4054de18 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@2b067d40 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4053c3b8 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@405453c8 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40544e18 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
Crash Report
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40548f10 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40560128 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40539cf8 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4054f010 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4053ba40 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40539d10 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40562a60 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4068fa70 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40535c80 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4053c898 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40594820 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@2b009578 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40556ce8 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@2b040950 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4053af20 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@47001bd0 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@470615f0 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40564fb0 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40586358 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40557dc0 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@401b4178 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40552588 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@405818c0 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4053c240 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40532a98 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40582e10 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40582e68 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4053b240 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@405360b8 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4053cb28 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4055ce40 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40581f58 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40539c68 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40540ea0 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4016a4d8 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@46ec5068 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4053be40 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40539d80 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40559d28 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40494440 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@405594f8 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@46ffaf48 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@46fe6a08 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@46fe6cc8 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@46ef06a8 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4053b020 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40565188 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40568a10 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40550ef0 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4055c8b0 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40563790 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4053aa70 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalStateException: at android.widget.ListView.layoutChildren(ListView.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@406a7cb8 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4054c888 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
[@ java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@405f8030 at android.view.ViewGroup.updateViewLayout(ViewGroup.java) ]
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
verified
verified
+


Attachments
Don't reposition Android plugin views that aren't in view hierarchy (1.33 KB, patch)
2012-03-22 18:17 PDT, James Willcox (:snorp) (jwillcox@mozilla.com)
blassey.bugs: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Review

Description Kevin Brosnan [:kbrosnan] 2012-02-07 16:57:56 PST
This bug was filed from the Socorro interface and is 
report bp-2b1d53e7-d0ea-4e82-a21b-3e6662120202 .
============================================================= 

Someone with stack access please post it in this bug.
Comment 1 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-02-07 17:01:24 PST
java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@4054b560
	at android.view.ViewGroup.updateViewLayout(ViewGroup.java:1968)
	at org.mozilla.gecko.GeckoApp.repositionPluginViews(GeckoApp.java:1492)
	at org.mozilla.gecko.GeckoApp.repositionPluginViews(GeckoApp.java:1475)
	at org.mozilla.gecko.gfx.LayerController$2.run(LayerController.java:269)
	at android.os.Handler.handleCallback(Handler.java:587)
	at android.os.Handler.dispatchMessage(Handler.java:92)
	at android.os.Looper.loop(Looper.java:150)
	at org.mozilla.gecko.GeckoApp$32.run(GeckoApp.java:1670)
	at android.os.Handler.handleCallback(Handler.java:587)
	at android.os.Handler.dispatchMessage(Handler.java:92)
	at android.os.Looper.loop(Looper.java:150)
	at android.app.ActivityThread.main(ActivityThread.java:4293)
	at java.lang.reflect.Method.invokeNative(Native Method)
	at java.lang.reflect.Method.invoke(Method.java:507)
	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:849)
	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:607)
	at dalvik.system.NativeStart.main(Native Method)
Comment 2 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-02-07 17:03:21 PST
URL used : http://www.planet3ds.de/news/14480-kid-icarus-uprising-trailer-zum-hoellenkessel.html

Only one crash listed so far.
Comment 3 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-02-07 17:32:58 PST
Seems like there's another crash that is the same but at a different address:
https://crash-stats.mozilla.com/report/index/9f7e122f-99f8-46b6-bbc1-f4f462120202
w/ url : http://www.weather.com
on a kindle fire

java.lang.IllegalArgumentException: Given view not a child of android.widget.AbsoluteLayout@40567478
	at android.view.ViewGroup.updateViewLayout(ViewGroup.java:1882)
	at org.mozilla.gecko.GeckoApp.repositionPluginViews(GeckoApp.java:1492)
	at org.mozilla.gecko.GeckoApp.repositionPluginViews(GeckoApp.java:1475)
	at org.mozilla.gecko.gfx.LayerController$2.run(LayerController.java:269)
	at android.os.Handler.handleCallback(Handler.java:587)
	at android.os.Handler.dispatchMessage(Handler.java:92)
	at android.os.Looper.loop(Looper.java:130)
	at org.mozilla.gecko.GeckoApp$32.run(GeckoApp.java:1670)
	at android.os.Handler.handleCallback(Handler.java:587)
	at android.os.Handler.dispatchMessage(Handler.java:92)
	at android.os.Looper.loop(Looper.java:130)
	at android.app.ActivityThread.main(ActivityThread.java:3683)
	at java.lang.reflect.Method.invokeNative(Native Method)
	at java.lang.reflect.Method.invoke(Method.java:507)
	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:850)
	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:608)
	at dalvik.system.NativeStart.main(Native Method)
Comment 4 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-02-11 19:13:55 PST
Created bug 726385 in regards to trying to combine all the same crashes with different addresses.
Comment 5 Scoobidiver (away) 2012-02-20 05:32:45 PST
There are about 8 crashes per build making it #1 top crasher.
Comment 6 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-02-27 12:26:23 PST
Java crash; nom-ing for blocking fennec
Comment 7 Marcia Knous [:marcia - use ni] 2012-02-28 11:11:58 PST
I hit this crash last evening on my Photon - https://crash-stats.mozilla.com/report/index/bp-67d89ba5-d70e-4ba2-9dcb-882342120228 but I haven't been able to reproduce yet.
Comment 8 Brad Lassey [:blassey] (use needinfo?) 2012-03-05 13:27:23 PST
blocking based on being the #1 top crasher, let's get STR for it though
Comment 10 Scoobidiver (away) 2012-03-13 03:20:45 PDT
It represents 8% of crashes over the last 3 days making it #2 top crasher.
Comment 11 Chris Peterson [:cpeterson] 2012-03-13 10:06:48 PDT
snorp, is this crash related to Flash?
Comment 12 Brad Lassey [:blassey] (use needinfo?) 2012-03-16 16:09:58 PDT
*** Bug 736318 has been marked as a duplicate of this bug. ***
Comment 13 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-03-22 17:37:54 PDT
It's not related to flash after all. I did hit this issue.  It's some sort of race condition I believe.


STR:
1. go to http://www.yahoo.co.jp
2. click on a link
3. before it turns over to the new page, hit back button
4. repeat 2 to 3... 

it's some timing issue with building the layout and changing the page somehow; ie back button, quitting, new tab, etc...
Comment 14 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-03-22 17:40:42 PDT
https://crash-stats.mozilla.com/report/index/8adf378d-5d2d-425d-bac0-a3b642120323
Comment 15 James Willcox (:snorp) (jwillcox@mozilla.com) 2012-03-22 18:17:33 PDT
Created attachment 608551 [details] [diff] [review]
Don't reposition Android plugin views that aren't in view hierarchy
Comment 16 James Willcox (:snorp) (jwillcox@mozilla.com) 2012-03-23 13:20:16 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/b05d102a6406
Comment 17 Ed Morley [:emorley] 2012-03-24 13:57:23 PDT
https://hg.mozilla.org/mozilla-central/rev/b05d102a6406
Comment 18 Scoobidiver (away) 2012-03-27 09:13:19 PDT
Based on crash stats (no crashes from 14..0a1/20120325), I mark it as verified.

It's still a top crasher in Aurora.
Comment 19 Brad Lassey [:blassey] (use needinfo?) 2012-03-28 11:21:18 PDT
Comment on attachment 608551 [details] [diff] [review]
Don't reposition Android plugin views that aren't in view hierarchy

[Approval Request Comment]
Regression caused by (bug #): 
User impact if declined: 
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky):
String changes made by this patch:
Comment 20 Alex Keybl [:akeybl] 2012-03-28 12:16:05 PDT
Comment on attachment 608551 [details] [diff] [review]
Don't reposition Android plugin views that aren't in view hierarchy

[Triage Comment]
Mobile only - approved for Aurora 13.
Comment 21 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-04 10:23:09 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/9303899517ac
Comment 22 Cristian Nicolae (:xti) 2012-05-22 08:29:08 PDT
I cannot reproduce this issue on the latest Nightly or Aurora by performing the str from comment #13.

Naoki, are you able to reproduce it anymore? If not, I guess that we can close it as verified fixed.
Comment 23 Cristian Nicolae (:xti) 2012-05-30 06:32:52 PDT
Still not able to reproduce this crash, and also it seems that there are no related crashes in the last week. Closing bug as verified fixed on:

Firefox 15.0a1 (2012-05-30)
Firefox 14.0a2 (2012-05-30)

Device: Galaxy Nexus
OS: Android 4.0.2
Comment 24 Tony Chung [:tchung] 2012-06-02 09:14:57 PDT
removing [qa+], bug verified from comment 23

Note You need to log in before you can comment on or make changes to this bug.